Bug 804962 - FlightGear fails with assertion error
FlightGear fails with assertion error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
: 861737 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 06:08 EDT by Aaron Sowry
Modified: 2013-07-31 13:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:42:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace (181.12 KB, application/octet-stream)
2012-03-20 06:25 EDT, Aaron Sowry
no flags Details
Maps (40.52 KB, application/octet-stream)
2012-03-20 06:25 EDT, Aaron Sowry
no flags Details
Smolt data (3.53 KB, application/octet-stream)
2012-03-20 06:26 EDT, Aaron Sowry
no flags Details

  None (edit)
Description Aaron Sowry 2012-03-20 06:08:54 EDT
Description of problem:
Running /usr/bin/fgfs gives the following output at the console:

KI266 dme indicator #0 initialized
loading scenario 'nimitz_demo'
ALSA lib pcm_dmix.c:1018:(snd_pcm_dmix_open) unable to open slave
ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
ALSA lib pcm_dmix.c:957:(snd_pcm_dmix_open) The dmix plugin supports only playback stream
ALSA lib pcm_dmix.c:1018:(snd_pcm_dmix_open) unable to open slave
Cannot connect to server socket err = No such file or directory
Cannot connect to server socket
jack server is not running or cannot be started
PNG lib warning : Malformed iTXt chunk
creating 3D noise texture... DONE
PNG lib warning : Interlace handling should be turned on when using png_read_image
PNG lib warning : Interlace handling should be turned on when using png_read_image
weather util initialized ...
Initializing Nasal Electrical System
join_values_nofail:398 - failed to coalesce values
join_values_nofail:398 - failed to coalesce values
fgfs: nv50_pc.h:351: nv_alloc_instruction: Assertion `pc->num_instructions < 2048' failed.
Aborted (core dumped)

Version-Release number of selected component (if applicable):
FlightGear-2.6.0-1.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run /usr/bin/fgfs

Additional info:
ABRT wants to report this as existing bug #725954, but it is not the same bug IMHO, so I am reporting it here instead.
Comment 1 Aaron Sowry 2012-03-20 06:25:12 EDT
Created attachment 571339 [details]
Backtrace
Comment 2 Aaron Sowry 2012-03-20 06:25:40 EDT
Created attachment 571340 [details]
Maps
Comment 3 Aaron Sowry 2012-03-20 06:26:11 EDT
Created attachment 571342 [details]
Smolt data
Comment 4 Richard Keech 2012-06-29 19:23:58 EDT
I'm seeing the same error in the same circumstances on Fedora 17 (fully up-to-date).

version: FlightGear-2.6.0-2.fc17.x86_64

Video driver in use is Gallium 0.4 on NV84
Comment 5 Richard Keech 2012-06-29 20:07:55 EDT
FlightGear starts successfully using driver GeForce 8600M GT/PCIe/SSE2  from pkg xorg-x11-drv-nvidia.
Comment 6 Fabrice Bellet 2012-07-24 09:22:15 EDT
The assert error message is in the nouveau driver, so I reassign the bug to Mesa.
Comment 7 Fabrice Bellet 2012-10-03 04:31:33 EDT
*** Bug 861737 has been marked as a duplicate of this bug. ***
Comment 8 Fedora End Of Life 2013-07-03 15:20:38 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 13:42:09 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.